"use strict";

let gulp = require("gulp");
let peg = require("./lib/peg");
let rename = require("gulp-rename");
let transform = require("gulp-transform");

function generate(contents) {
	return peg.generate(contents.toString(), {
		output: "source",
		format: "commonjs"
	});
}

// Generate the grammar parser.
gulp.task("parser", () =>
	gulp.src("src/parser.pegjs")
		.pipe(transform("utf8", generate))
		.pipe(rename({ extname: ".js" }))
		.pipe(gulp.dest("lib"))
);
